Bug 1313433 - CVE-2016-2847 kernel: pipe: limit the per-user amount of pages allocated in pipes [fedora-all]
CVE-2016-2847 kernel: pipe: limit the per-user amount of pages allocated in p...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2016-2847
  Show dependency treegraph
 
Reported: 2016-03-01 10:25 EST by Vladis Dronov
Modified: 2016-03-11 21:28 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-11 21:28:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladis Dronov 2016-03-01 10:25:58 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]
Comment 1 Vladis Dronov 2016-03-01 10:26:10 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1313428,1313433

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Vladis Dronov 2016-03-01 10:47:13 EST
Hello!
An upstream patch: https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=759c01142a5d0f364a462346168a56de28a80f52

$ git tag --contain 759c01142a5
v4.5-rc1
Comment 3 Josh Boyer 2016-03-02 08:33:15 EST
(In reply to Vladis Dronov from comment #2)
> Hello!
> An upstream patch:
> https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/
> ?id=759c01142a5d0f364a462346168a56de28a80f52
> 
> $ git tag --contain 759c01142a5
> v4.5-rc1

That says this mitigates CVE-2013-4312.  Are we calling it a fix for that CVE or is there another CVE being assigned to this bug?
Comment 4 Josh Boyer 2016-03-02 08:37:11 EST
Fixed in Fedora git.  If we get a CVE designation we can update the changelog.
Comment 5 Vladis Dronov 2016-03-02 11:11:28 EST
hello, Josh.
there is a mess with CVE in this case, i've requested a new CVE id in this message with explanations, please, see http://seclists.org/oss-sec/2016/q1/467. for now, CVE id is not allocated for this.
Comment 6 Fedora Update System 2016-03-05 18:19:31 EST
kernel-4.4.4-200.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-746bb5851d
Comment 7 Fedora Update System 2016-03-05 18:22:44 EST
kernel-4.4.4-301.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6cfaff4b1
Comment 8 Fedora Update System 2016-03-06 19:22:44 EST
kernel-4.4.4-200.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-746bb5851d
Comment 9 Fedora Update System 2016-03-06 19:26:54 EST
kernel-4.4.4-301.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6cfaff4b1
Comment 10 Fedora Update System 2016-03-11 08:26:46 EST
kernel-4.4.4-301.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-03-11 19:50:37 EST
kernel-4.4.4-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.